/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ObjectEditorDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ObjectEditorData {

    public ObjectEditorDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getRating() {
        return getGrtGlobalAsInt("rating");
    }

    public int setRating(int rating) {
        setGrtGlobalFromInt("rating", rating);

        return getRating();
    }

    public int getActionId() {
        return getGrtGlobalAsInt("actionId");
    }

    public int setActionId(int actionId) {
        setGrtGlobalFromInt("actionId", actionId);

        return getActionId();
    }

    public String getModuleName() {
        return getGrtGlobalAsString("moduleName");
    }

    public String setModuleName(String moduleName) {
        setGrtGlobalFromString("moduleName", moduleName);

        return getModuleName();
    }

    public String getModuleFunctionName() {
        return getGrtGlobalAsString("moduleFunctionName");
    }

    public String setModuleFunctionName(String moduleFunctionName) {
        setGrtGlobalFromString("moduleFunctionName", moduleFunctionName);

        return getModuleFunctionName();
    }

    public String getObjectStructName() {
        return getGrtGlobalAsString("objectStructName");
    }

    public String setObjectStructName(String objectStructName) {
        setGrtGlobalFromString("objectStructName", objectStructName);

        return getObjectStructName();
    }

}
