/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.base;

public class ObjectLogDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ObjectLogData {

    private com.mysql.grt.base.ObjectLogEntryList entries;

    private String logObject;

    private String refObject;

    public ObjectLogDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public com.mysql.grt.base.ObjectLogEntryList getEntries() {
        if (entries == null)
            entries = new com.mysql.grt.base.ObjectLogEntryList(this.grtObject);
        return entries;
    }

    public com.mysql.grt.base.ObjectLogEntryList setEntries(com.mysql.grt.base.ObjectLogEntryList entries) {
        this.entries = entries;
        return getEntries();
    }

    public com.mysql.grt.GrtObject getLogObject() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(logObject);
    }

    public com.mysql.grt.GrtObject setLogObject(com.mysql.grt.GrtObject logObject) {
        this.logObject = logObject.get_id();
        return getLogObject();
    }

    public String getLogObjectById() {
        return logObject;
    }

    public void setLogObjectById(String logObject) {
        this.logObject = logObject;
    }

    public com.mysql.grt.GrtObject getRefObject() {
        return (com.mysql.grt.GrtObject) com.mysql.grt.Grt.getInstance().getObjectByRefId(refObject);
    }

    public com.mysql.grt.GrtObject setRefObject(com.mysql.grt.GrtObject refObject) {
        this.refObject = refObject.get_id();
        return getRefObject();
    }

    public String getRefObjectById() {
        return refObject;
    }

    public void setRefObjectById(String refObject) {
        this.refObject = refObject;
    }

}
