/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class ViewDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ViewData {

    public ViewDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public double getZoomX() {
        return getGrtGlobalAsReal("zoomX");
    }

    public double setZoomX(double zoomX) {
        setGrtGlobalFromReal("zoomX", zoomX);

        return getZoomX();
    }

    public double getZoomY() {
        return getGrtGlobalAsReal("zoomY");
    }

    public double setZoomY(double zoomY) {
        setGrtGlobalFromReal("zoomY", zoomY);

        return getZoomY();
    }

    public double getX() {
        return getGrtGlobalAsReal("x");
    }

    public double setX(double x) {
        setGrtGlobalFromReal("x", x);

        return getX();
    }

    public double getY() {
        return getGrtGlobalAsReal("y");
    }

    public double setY(double y) {
        setGrtGlobalFromReal("y", y);

        return getY();
    }

    public double getJitter() {
        return getGrtGlobalAsReal("jitter");
    }

    public double setJitter(double jitter) {
        setGrtGlobalFromReal("jitter", jitter);

        return getJitter();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public String getColor() {
        return getGrtGlobalAsString("color");
    }

    public String setColor(String color) {
        setGrtGlobalFromString("color", color);

        return getColor();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        return (com.mysql.grt.canvas.LayerList) getGrtGlobalAsObject("layers");
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        setGrtGlobalFromObject("layers", layers);

        return getLayers();
    }

}
