/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Column extends com.mysql.grt.base.NamedGrtObject {

    protected Column() {
    }

    public Column(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ColumnDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ColumnDataGlobal((String) obj);
        }
    }

    public int getDefaultValueIsNull() {
        return ((ColumnData) data).getDefaultValueIsNull();
    }

    public int setDefaultValueIsNull(int defaultValueIsNull) {
        ((ColumnData) data).setDefaultValueIsNull(defaultValueIsNull);

        return getDefaultValueIsNull();
    }

    public int getPrecision() {
        return ((ColumnData) data).getPrecision();
    }

    public int setPrecision(int precision) {
        ((ColumnData) data).setPrecision(precision);

        return getPrecision();
    }

    public int getScale() {
        return ((ColumnData) data).getScale();
    }

    public int setScale(int scale) {
        ((ColumnData) data).setScale(scale);

        return getScale();
    }

    public int getIsNullable() {
        return ((ColumnData) data).getIsNullable();
    }

    public int setIsNullable(int isNullable) {
        ((ColumnData) data).setIsNullable(isNullable);

        return getIsNullable();
    }

    public int getLength() {
        return ((ColumnData) data).getLength();
    }

    public int setLength(int length) {
        ((ColumnData) data).setLength(length);

        return getLength();
    }

    public String getDatatypeName() {
        return ((ColumnData) data).getDatatypeName();
    }

    public String setDatatypeName(String datatypeName) {
        ((ColumnData) data).setDatatypeName(datatypeName);

        return getDatatypeName();
    }

    public String getDefaultValue() {
        return ((ColumnData) data).getDefaultValue();
    }

    public String setDefaultValue(String defaultValue) {
        ((ColumnData) data).setDefaultValue(defaultValue);

        return getDefaultValue();
    }

    public String getCharacterSetName() {
        return ((ColumnData) data).getCharacterSetName();
    }

    public String setCharacterSetName(String characterSetName) {
        ((ColumnData) data).setCharacterSetName(characterSetName);

        return getCharacterSetName();
    }

    public String getCollationName() {
        return ((ColumnData) data).getCollationName();
    }

    public String setCollationName(String collationName) {
        ((ColumnData) data).setCollationName(collationName);

        return getCollationName();
    }

    public com.mysql.grt.GrtStringList getFlags() {
        return ((ColumnData) data).getFlags();
    }

    public com.mysql.grt.GrtStringList setFlags(com.mysql.grt.GrtStringList flags) {
        ((ColumnData) data).setFlags(flags);

        return getFlags();
    }

    public com.mysql.grt.db.CheckConstraintList getChecks() {
        return ((ColumnData) data).getChecks();
    }

    public com.mysql.grt.db.CheckConstraintList setChecks(com.mysql.grt.db.CheckConstraintList checks) {
        ((ColumnData) data).setChecks(checks);

        return getChecks();
    }

    public com.mysql.grt.db.SimpleDatatype getSimpleType() {
        return ((ColumnData) data).getSimpleType();
    }

    public com.mysql.grt.db.SimpleDatatype setSimpleType(com.mysql.grt.db.SimpleDatatype simpleType) {
        ((ColumnData) data).setSimpleType(simpleType);

        return getSimpleType();
    }

    public String getSimpleTypeById() {
        return ((ColumnData) data).getSimpleTypeById();
    }

    public void setSimpleTypeById(String simpleType) {
        ((ColumnData) data).setSimpleTypeById(simpleType);
    }

    public com.mysql.grt.db.StructuredDatatype getStructuredDatatype() {
        return ((ColumnData) data).getStructuredDatatype();
    }

    public com.mysql.grt.db.StructuredDatatype setStructuredDatatype(com.mysql.grt.db.StructuredDatatype structuredDatatype) {
        ((ColumnData) data).setStructuredDatatype(structuredDatatype);

        return getStructuredDatatype();
    }

    public String getStructuredDatatypeById() {
        return ((ColumnData) data).getStructuredDatatypeById();
    }

    public void setStructuredDatatypeById(String structuredDatatype) {
        ((ColumnData) data).setStructuredDatatypeById(structuredDatatype);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"defaultValueIsNull\">"
                    + Integer.toString(getDefaultValueIsNull()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"precision\">"
                    + Integer.toString(getPrecision()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"scale\">"
                    + Integer.toString(getScale()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"isNullable\">"
                    + Integer.toString(getIsNullable()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"length\">"
                    + Integer.toString(getLength()) + "</value>\n");

            if (getDatatypeName() != null) {
                xml.append("<value type=\"string\" key=\"datatypeName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDatatypeName()) + "</value>\n");
            }

            if (getDefaultValue() != null) {
                xml.append("<value type=\"string\" key=\"defaultValue\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDefaultValue()) + "</value>\n");
            }

            if (getCharacterSetName() != null) {
                xml.append("<value type=\"string\" key=\"characterSetName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCharacterSetName()) + "</value>\n");
            }

            if (getCollationName() != null) {
                xml.append("<value type=\"string\" key=\"collationName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getCollationName()) + "</value>\n");
            }

            if (getFlags() != null) {
                getFlags().getGrtXml(xml, " key=\"flags\"");
            }

            if (getChecks() != null) {
                getChecks().getGrtXml(xml, " key=\"checks\"");
            }

            if (getSimpleType() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"simpleType\">"
                        + getSimpleTypeById() + "</value>\n");
            }

            if (getStructuredDatatype() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"structuredDatatype\">"
                        + getStructuredDatatypeById() + "</value>\n");
            }

        return xml;
    }
}
