/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class DatabaseSyncDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements DatabaseSyncData {

    public DatabaseSyncDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.db.Catalog getDbCatalog() {
        return (com.mysql.grt.db.Catalog) getGrtGlobalAsObject("dbCatalog");

    }

    public com.mysql.grt.db.Catalog setDbCatalog(com.mysql.grt.db.Catalog dbCatalog) {
        setGrtGlobalFromObject("dbCatalog", dbCatalog);

        return getDbCatalog();
    }

    public com.mysql.grt.db.DatabaseSyncObject getChangeTree() {
        return (com.mysql.grt.db.DatabaseSyncObject) getGrtGlobalAsObject("changeTree");

    }

    public com.mysql.grt.db.DatabaseSyncObject setChangeTree(com.mysql.grt.db.DatabaseSyncObject changeTree) {
        setGrtGlobalFromObject("changeTree", changeTree);

        return getChangeTree();
    }

}
