/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class Routine extends com.mysql.grt.db.DatabaseObject {

    protected Routine() {
    }

    public Routine(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new RoutineDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new RoutineDataGlobal((String) obj);
        }
    }

    public String getRoutineType() {
        return ((RoutineData) data).getRoutineType();
    }

    public String setRoutineType(String routineType) {
        ((RoutineData) data).setRoutineType(routineType);

        return getRoutineType();
    }

    public String getRoutineCode() {
        return ((RoutineData) data).getRoutineCode();
    }

    public String setRoutineCode(String routineCode) {
        ((RoutineData) data).setRoutineCode(routineCode);

        return getRoutineCode();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getRoutineType() != null) {
                xml.append("<value type=\"string\" key=\"routineType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRoutineType()) + "</value>\n");
            }

            if (getRoutineCode() != null) {
                xml.append("<value type=\"string\" key=\"routineCode\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRoutineCode()) + "</value>\n");
            }

        return xml;
    }
}
