/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class SchemaDataGlobal extends com.mysql.grt.db.DatabaseObjectDataGlobal implements SchemaData {

    public SchemaDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getDefaultCharacterSetName() {
        return getGrtGlobalAsString("defaultCharacterSetName");
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        setGrtGlobalFromString("defaultCharacterSetName", defaultCharacterSetName);

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return getGrtGlobalAsString("defaultCollationName");
    }

    public String setDefaultCollationName(String defaultCollationName) {
        setGrtGlobalFromString("defaultCollationName", defaultCollationName);

        return getDefaultCollationName();
    }

    public com.mysql.grt.db.TableList getTables() {
        return (com.mysql.grt.db.TableList) getGrtGlobalAsObject("tables");
    }

    public com.mysql.grt.db.TableList setTables(com.mysql.grt.db.TableList tables) {
        setGrtGlobalFromObject("tables", tables);

        return getTables();
    }

    public com.mysql.grt.db.ViewList getViews() {
        return (com.mysql.grt.db.ViewList) getGrtGlobalAsObject("views");
    }

    public com.mysql.grt.db.ViewList setViews(com.mysql.grt.db.ViewList views) {
        setGrtGlobalFromObject("views", views);

        return getViews();
    }

    public com.mysql.grt.db.RoutineList getRoutines() {
        return (com.mysql.grt.db.RoutineList) getGrtGlobalAsObject("routines");
    }

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines) {
        setGrtGlobalFromObject("routines", routines);

        return getRoutines();
    }

    public com.mysql.grt.db.RoutineGroupList getRoutineGroups() {
        return (com.mysql.grt.db.RoutineGroupList) getGrtGlobalAsObject("routineGroups");
    }

    public com.mysql.grt.db.RoutineGroupList setRoutineGroups(com.mysql.grt.db.RoutineGroupList routineGroups) {
        setGrtGlobalFromObject("routineGroups", routineGroups);

        return getRoutineGroups();
    }

    public com.mysql.grt.db.SynonymList getSynonyms() {
        return (com.mysql.grt.db.SynonymList) getGrtGlobalAsObject("synonyms");
    }

    public com.mysql.grt.db.SynonymList setSynonyms(com.mysql.grt.db.SynonymList synonyms) {
        setGrtGlobalFromObject("synonyms", synonyms);

        return getSynonyms();
    }

    public com.mysql.grt.db.StructuredDatatypeList getStructuredTypes() {
        return (com.mysql.grt.db.StructuredDatatypeList) getGrtGlobalAsObject("structuredTypes");
    }

    public com.mysql.grt.db.StructuredDatatypeList setStructuredTypes(com.mysql.grt.db.StructuredDatatypeList structuredTypes) {
        setGrtGlobalFromObject("structuredTypes", structuredTypes);

        return getStructuredTypes();
    }

    public com.mysql.grt.db.SequenceList getSequences() {
        return (com.mysql.grt.db.SequenceList) getGrtGlobalAsObject("sequences");
    }

    public com.mysql.grt.db.SequenceList setSequences(com.mysql.grt.db.SequenceList sequences) {
        setGrtGlobalFromObject("sequences", sequences);

        return getSequences();
    }

}
