/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class ConnectionDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ConnectionData {

    public ConnectionDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public com.mysql.grt.GrtStringHashMap getParameterValues() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("parameterValues");

    }

    public com.mysql.grt.GrtStringHashMap setParameterValues(com.mysql.grt.GrtStringHashMap parameterValues) {
        setGrtGlobalFromObject("parameterValues", parameterValues);

        return getParameterValues();
    }

    public com.mysql.grt.GrtStringHashMap getModules() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("modules");

    }

    public com.mysql.grt.GrtStringHashMap setModules(com.mysql.grt.GrtStringHashMap modules) {
        setGrtGlobalFromObject("modules", modules);

        return getModules();
    }

    public com.mysql.grt.db.mgmt.Driver getDriver() {
        return (com.mysql.grt.db.mgmt.Driver) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("driver"));
    }

    public com.mysql.grt.db.mgmt.Driver setDriver(com.mysql.grt.db.mgmt.Driver driver) {
        setGrtGlobalFromString("driver", driver.get_id());

        return getDriver();
    }

    public String getDriverById() {
        return getGrtGlobalAsString("driver");
    }

    public void setDriverById(String driver) {
        setGrtGlobalFromString("driver", driver);
    }

}
