/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class DriverParameterDataLocal extends com.mysql.grt.GrtObjectDataLocal implements DriverParameterData {

    private int required;

    private int layoutAdvanced;

    private int layoutRow;

    private int layoutWidth;

    private String caption;

    private String description;

    private String paramType;

    private String defaultValue;

    private String lookupValueModule;

    private String lookupValueMethod;

    private com.mysql.grt.GrtStringHashMap paramTypeDetails;

    public DriverParameterDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getRequired() {
        return required;
    }

    public int setRequired(int required) {
        this.required = required;

        return getRequired();
    }

    public int getLayoutAdvanced() {
        return layoutAdvanced;
    }

    public int setLayoutAdvanced(int layoutAdvanced) {
        this.layoutAdvanced = layoutAdvanced;

        return getLayoutAdvanced();
    }

    public int getLayoutRow() {
        return layoutRow;
    }

    public int setLayoutRow(int layoutRow) {
        this.layoutRow = layoutRow;

        return getLayoutRow();
    }

    public int getLayoutWidth() {
        return layoutWidth;
    }

    public int setLayoutWidth(int layoutWidth) {
        this.layoutWidth = layoutWidth;

        return getLayoutWidth();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public String getParamType() {
        return paramType;
    }

    public String setParamType(String paramType) {
        this.paramType = paramType;

        return getParamType();
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public String setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;

        return getDefaultValue();
    }

    public String getLookupValueModule() {
        return lookupValueModule;
    }

    public String setLookupValueModule(String lookupValueModule) {
        this.lookupValueModule = lookupValueModule;

        return getLookupValueModule();
    }

    public String getLookupValueMethod() {
        return lookupValueMethod;
    }

    public String setLookupValueMethod(String lookupValueMethod) {
        this.lookupValueMethod = lookupValueMethod;

        return getLookupValueMethod();
    }

    public com.mysql.grt.GrtStringHashMap getParamTypeDetails() {
        if (paramTypeDetails == null)
            paramTypeDetails = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return paramTypeDetails;
    }

    public com.mysql.grt.GrtStringHashMap setParamTypeDetails(com.mysql.grt.GrtStringHashMap paramTypeDetails) {
        this.paramTypeDetails = paramTypeDetails;

        return getParamTypeDetails();
    }

}
