/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class Migration extends com.mysql.grt.GrtObject {

    protected Migration() {
    }

    public Migration(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new MigrationDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new MigrationDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.db.mgmt.Connection getSourceConnection() {
        return ((MigrationData) data).getSourceConnection();
    }

    public com.mysql.grt.db.mgmt.Connection setSourceConnection(com.mysql.grt.db.mgmt.Connection sourceConnection) {
        ((MigrationData) data).setSourceConnection(sourceConnection);

        return getSourceConnection();
    }

    public com.mysql.grt.db.mgmt.Connection getTargetConnection() {
        return ((MigrationData) data).getTargetConnection();
    }

    public com.mysql.grt.db.mgmt.Connection setTargetConnection(com.mysql.grt.db.mgmt.Connection targetConnection) {
        ((MigrationData) data).setTargetConnection(targetConnection);

        return getTargetConnection();
    }

    public com.mysql.grt.db.Catalog getSourceCatalog() {
        return ((MigrationData) data).getSourceCatalog();
    }

    public com.mysql.grt.db.Catalog setSourceCatalog(com.mysql.grt.db.Catalog sourceCatalog) {
        ((MigrationData) data).setSourceCatalog(sourceCatalog);

        return getSourceCatalog();
    }

    public com.mysql.grt.db.Catalog getTargetCatalog() {
        return ((MigrationData) data).getTargetCatalog();
    }

    public com.mysql.grt.db.Catalog setTargetCatalog(com.mysql.grt.db.Catalog targetCatalog) {
        ((MigrationData) data).setTargetCatalog(targetCatalog);

        return getTargetCatalog();
    }

    public com.mysql.grt.db.Version getTargetVersion() {
        return ((MigrationData) data).getTargetVersion();
    }

    public com.mysql.grt.db.Version setTargetVersion(com.mysql.grt.db.Version targetVersion) {
        ((MigrationData) data).setTargetVersion(targetVersion);

        return getTargetVersion();
    }

    public com.mysql.grt.GrtStringHashMap getObjectCreationParams() {
        return ((MigrationData) data).getObjectCreationParams();
    }

    public com.mysql.grt.GrtStringHashMap setObjectCreationParams(com.mysql.grt.GrtStringHashMap objectCreationParams) {
        ((MigrationData) data).setObjectCreationParams(objectCreationParams);

        return getObjectCreationParams();
    }

    public com.mysql.grt.GrtStringHashMap getDataBulkTransferParams() {
        return ((MigrationData) data).getDataBulkTransferParams();
    }

    public com.mysql.grt.GrtStringHashMap setDataBulkTransferParams(com.mysql.grt.GrtStringHashMap dataBulkTransferParams) {
        ((MigrationData) data).setDataBulkTransferParams(dataBulkTransferParams);

        return getDataBulkTransferParams();
    }

    public com.mysql.grt.GrtStringHashMap getApplicationData() {
        return ((MigrationData) data).getApplicationData();
    }

    public com.mysql.grt.GrtStringHashMap setApplicationData(com.mysql.grt.GrtStringHashMap applicationData) {
        ((MigrationData) data).setApplicationData(applicationData);

        return getApplicationData();
    }

    public com.mysql.grt.GrtStringList getSourceSchemataNames() {
        return ((MigrationData) data).getSourceSchemataNames();
    }

    public com.mysql.grt.GrtStringList setSourceSchemataNames(com.mysql.grt.GrtStringList sourceSchemataNames) {
        ((MigrationData) data).setSourceSchemataNames(sourceSchemataNames);

        return getSourceSchemataNames();
    }

    public com.mysql.grt.GrtStringList getSelectedSchemataNames() {
        return ((MigrationData) data).getSelectedSchemataNames();
    }

    public com.mysql.grt.GrtStringList setSelectedSchemataNames(com.mysql.grt.GrtStringList selectedSchemataNames) {
        ((MigrationData) data).setSelectedSchemataNames(selectedSchemataNames);

        return getSelectedSchemataNames();
    }

    public com.mysql.grt.GrtStringList getIgnoreList() {
        return ((MigrationData) data).getIgnoreList();
    }

    public com.mysql.grt.GrtStringList setIgnoreList(com.mysql.grt.GrtStringList ignoreList) {
        ((MigrationData) data).setIgnoreList(ignoreList);

        return getIgnoreList();
    }

    public com.mysql.grt.db.migration.MappingList getMappingDefaults() {
        return ((MigrationData) data).getMappingDefaults();
    }

    public com.mysql.grt.db.migration.MappingList setMappingDefaults(com.mysql.grt.db.migration.MappingList mappingDefaults) {
        ((MigrationData) data).setMappingDefaults(mappingDefaults);

        return getMappingDefaults();
    }

    public com.mysql.grt.db.migration.MappingList getMappingDefinitions() {
        return ((MigrationData) data).getMappingDefinitions();
    }

    public com.mysql.grt.db.migration.MappingList setMappingDefinitions(com.mysql.grt.db.migration.MappingList mappingDefinitions) {
        ((MigrationData) data).setMappingDefinitions(mappingDefinitions);

        return getMappingDefinitions();
    }

    public com.mysql.grt.base.ObjectLogList getMigrationLog() {
        return ((MigrationData) data).getMigrationLog();
    }

    public com.mysql.grt.base.ObjectLogList setMigrationLog(com.mysql.grt.base.ObjectLogList migrationLog) {
        ((MigrationData) data).setMigrationLog(migrationLog);

        return getMigrationLog();
    }

    public com.mysql.grt.base.ObjectLogList getCreationLog() {
        return ((MigrationData) data).getCreationLog();
    }

    public com.mysql.grt.base.ObjectLogList setCreationLog(com.mysql.grt.base.ObjectLogList creationLog) {
        ((MigrationData) data).setCreationLog(creationLog);

        return getCreationLog();
    }

    public com.mysql.grt.base.ObjectLogList getDataTransferLog() {
        return ((MigrationData) data).getDataTransferLog();
    }

    public com.mysql.grt.base.ObjectLogList setDataTransferLog(com.mysql.grt.base.ObjectLogList dataTransferLog) {
        ((MigrationData) data).setDataTransferLog(dataTransferLog);

        return getDataTransferLog();
    }

    public com.mysql.grt.db.migration.DatatypeMappingList getGenericDatatypeMappings() {
        return ((MigrationData) data).getGenericDatatypeMappings();
    }

    public com.mysql.grt.db.migration.DatatypeMappingList setGenericDatatypeMappings(com.mysql.grt.db.migration.DatatypeMappingList genericDatatypeMappings) {
        ((MigrationData) data).setGenericDatatypeMappings(genericDatatypeMappings);

        return getGenericDatatypeMappings();
    }

    public com.mysql.grt.db.migration.MethodList getMigrationMethods() {
        return ((MigrationData) data).getMigrationMethods();
    }

    public com.mysql.grt.db.migration.MethodList setMigrationMethods(com.mysql.grt.db.migration.MethodList migrationMethods) {
        ((MigrationData) data).setMigrationMethods(migrationMethods);

        return getMigrationMethods();
    }

    public com.mysql.grt.GrtObjectList getSourceObjects() {
        return ((MigrationData) data).getSourceObjects();
    }

    public com.mysql.grt.GrtObjectList setSourceObjects(com.mysql.grt.GrtObjectList sourceObjects) {
        ((MigrationData) data).setSourceObjects(sourceObjects);

        return getSourceObjects();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getSourceSchemataNames() != null) {
                getSourceSchemataNames().getGrtXml(xml, " key=\"sourceSchemataNames\"");
            }

            if (getSelectedSchemataNames() != null) {
                getSelectedSchemataNames().getGrtXml(xml, " key=\"selectedSchemataNames\"");
            }

            if (getIgnoreList() != null) {
                getIgnoreList().getGrtXml(xml, " key=\"ignoreList\"");
            }

            if (getMappingDefaults() != null) {
                getMappingDefaults().getGrtXml(xml, " key=\"mappingDefaults\"");
            }

            if (getMappingDefinitions() != null) {
                getMappingDefinitions().getGrtXml(xml, " key=\"mappingDefinitions\"");
            }

            if (getMigrationLog() != null) {
                getMigrationLog().getGrtXml(xml, " key=\"migrationLog\"");
            }

            if (getCreationLog() != null) {
                getCreationLog().getGrtXml(xml, " key=\"creationLog\"");
            }

            if (getDataTransferLog() != null) {
                getDataTransferLog().getGrtXml(xml, " key=\"dataTransferLog\"");
            }

            if (getGenericDatatypeMappings() != null) {
                getGenericDatatypeMappings().getGrtXml(xml, " key=\"genericDatatypeMappings\"");
            }

            if (getSourceConnection() != null) {
                getSourceConnection().getGrtXml(xml, " key=\"sourceConnection\"");
            }

            if (getTargetConnection() != null) {
                getTargetConnection().getGrtXml(xml, " key=\"targetConnection\"");
            }

            if (getSourceCatalog() != null) {
                getSourceCatalog().getGrtXml(xml, " key=\"sourceCatalog\"");
            }

            if (getTargetCatalog() != null) {
                getTargetCatalog().getGrtXml(xml, " key=\"targetCatalog\"");
            }

            if (getTargetVersion() != null) {
                getTargetVersion().getGrtXml(xml, " key=\"targetVersion\"");
            }

            if (getObjectCreationParams() != null) {
                getObjectCreationParams().getGrtXml(xml, " key=\"objectCreationParams\"");
            }

            if (getDataBulkTransferParams() != null) {
                getDataBulkTransferParams().getGrtXml(xml, " key=\"dataBulkTransferParams\"");
            }

            if (getApplicationData() != null) {
                getApplicationData().getGrtXml(xml, " key=\"applicationData\"");
            }

            if (getMigrationMethods() != null) {
                getMigrationMethods().getGrtRefXml(xml, " key=\"migrationMethods\"");
            }

            if (getSourceObjects() != null) {
                getSourceObjects().getGrtRefXml(xml, " key=\"sourceObjects\"");
            }

        return xml;
    }
}
