/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class Table extends com.mysql.grt.db.Table {

    protected Table() {
    }

    public Table(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new TableDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new TableDataGlobal((String) obj);
        }
    }

    public int getDelayKeyWrite() {
        return ((TableData) data).getDelayKeyWrite();
    }

    public int setDelayKeyWrite(int delayKeyWrite) {
        ((TableData) data).setDelayKeyWrite(delayKeyWrite);

        return getDelayKeyWrite();
    }

    public int getChecksum() {
        return ((TableData) data).getChecksum();
    }

    public int setChecksum(int checksum) {
        ((TableData) data).setChecksum(checksum);

        return getChecksum();
    }

    public String getTableEngine() {
        return ((TableData) data).getTableEngine();
    }

    public String setTableEngine(String tableEngine) {
        ((TableData) data).setTableEngine(tableEngine);

        return getTableEngine();
    }

    public String getNextAutoInc() {
        return ((TableData) data).getNextAutoInc();
    }

    public String setNextAutoInc(String nextAutoInc) {
        ((TableData) data).setNextAutoInc(nextAutoInc);

        return getNextAutoInc();
    }

    public String getPassword() {
        return ((TableData) data).getPassword();
    }

    public String setPassword(String password) {
        ((TableData) data).setPassword(password);

        return getPassword();
    }

    public String getDefaultCharacterSetName() {
        return ((TableData) data).getDefaultCharacterSetName();
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        ((TableData) data).setDefaultCharacterSetName(defaultCharacterSetName);

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return ((TableData) data).getDefaultCollationName();
    }

    public String setDefaultCollationName(String defaultCollationName) {
        ((TableData) data).setDefaultCollationName(defaultCollationName);

        return getDefaultCollationName();
    }

    public String getMergeUnion() {
        return ((TableData) data).getMergeUnion();
    }

    public String setMergeUnion(String mergeUnion) {
        ((TableData) data).setMergeUnion(mergeUnion);

        return getMergeUnion();
    }

    public String getMergeInsert() {
        return ((TableData) data).getMergeInsert();
    }

    public String setMergeInsert(String mergeInsert) {
        ((TableData) data).setMergeInsert(mergeInsert);

        return getMergeInsert();
    }

    public String getTableDataDir() {
        return ((TableData) data).getTableDataDir();
    }

    public String setTableDataDir(String tableDataDir) {
        ((TableData) data).setTableDataDir(tableDataDir);

        return getTableDataDir();
    }

    public String getTableIndexDir() {
        return ((TableData) data).getTableIndexDir();
    }

    public String setTableIndexDir(String tableIndexDir) {
        ((TableData) data).setTableIndexDir(tableIndexDir);

        return getTableIndexDir();
    }

    public String getPackKeys() {
        return ((TableData) data).getPackKeys();
    }

    public String setPackKeys(String packKeys) {
        ((TableData) data).setPackKeys(packKeys);

        return getPackKeys();
    }

    public String getRaidType() {
        return ((TableData) data).getRaidType();
    }

    public String setRaidType(String raidType) {
        ((TableData) data).setRaidType(raidType);

        return getRaidType();
    }

    public String getRaidChunks() {
        return ((TableData) data).getRaidChunks();
    }

    public String setRaidChunks(String raidChunks) {
        ((TableData) data).setRaidChunks(raidChunks);

        return getRaidChunks();
    }

    public String getRaidChunkSize() {
        return ((TableData) data).getRaidChunkSize();
    }

    public String setRaidChunkSize(String raidChunkSize) {
        ((TableData) data).setRaidChunkSize(raidChunkSize);

        return getRaidChunkSize();
    }

    public String getRowFormat() {
        return ((TableData) data).getRowFormat();
    }

    public String setRowFormat(String rowFormat) {
        ((TableData) data).setRowFormat(rowFormat);

        return getRowFormat();
    }

    public String getAvgRowLength() {
        return ((TableData) data).getAvgRowLength();
    }

    public String setAvgRowLength(String avgRowLength) {
        ((TableData) data).setAvgRowLength(avgRowLength);

        return getAvgRowLength();
    }

    public String getMinRows() {
        return ((TableData) data).getMinRows();
    }

    public String setMinRows(String minRows) {
        ((TableData) data).setMinRows(minRows);

        return getMinRows();
    }

    public String getMaxRows() {
        return ((TableData) data).getMaxRows();
    }

    public String setMaxRows(String maxRows) {
        ((TableData) data).setMaxRows(maxRows);

        return getMaxRows();
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        return ((TableData) data).getColumns();
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        ((TableData) data).setColumns(columns);

        return getColumns();
    }

    public com.mysql.grt.db.IndexList getIndices() {
        return ((TableData) data).getIndices();
    }

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices) {
        ((TableData) data).setIndices(indices);

        return getIndices();
    }

    public com.mysql.grt.db.TriggerList getTriggers() {
        return ((TableData) data).getTriggers();
    }

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers) {
        ((TableData) data).setTriggers(triggers);

        return getTriggers();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"delayKeyWrite\">"
                    + Integer.toString(getDelayKeyWrite()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"checksum\">"
                    + Integer.toString(getChecksum()) + "</value>\n");

            if (getTableEngine() != null) {
                xml.append("<value type=\"string\" key=\"tableEngine\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTableEngine()) + "</value>\n");
            }

            if (getNextAutoInc() != null) {
                xml.append("<value type=\"string\" key=\"nextAutoInc\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getNextAutoInc()) + "</value>\n");
            }

            if (getPassword() != null) {
                xml.append("<value type=\"string\" key=\"password\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getPassword()) + "</value>\n");
            }

            if (getDefaultCharacterSetName() != null) {
                xml.append("<value type=\"string\" key=\"defaultCharacterSetName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDefaultCharacterSetName()) + "</value>\n");
            }

            if (getDefaultCollationName() != null) {
                xml.append("<value type=\"string\" key=\"defaultCollationName\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getDefaultCollationName()) + "</value>\n");
            }

            if (getMergeUnion() != null) {
                xml.append("<value type=\"string\" key=\"mergeUnion\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMergeUnion()) + "</value>\n");
            }

            if (getMergeInsert() != null) {
                xml.append("<value type=\"string\" key=\"mergeInsert\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMergeInsert()) + "</value>\n");
            }

            if (getTableDataDir() != null) {
                xml.append("<value type=\"string\" key=\"tableDataDir\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTableDataDir()) + "</value>\n");
            }

            if (getTableIndexDir() != null) {
                xml.append("<value type=\"string\" key=\"tableIndexDir\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getTableIndexDir()) + "</value>\n");
            }

            if (getPackKeys() != null) {
                xml.append("<value type=\"string\" key=\"packKeys\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getPackKeys()) + "</value>\n");
            }

            if (getRaidType() != null) {
                xml.append("<value type=\"string\" key=\"raidType\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRaidType()) + "</value>\n");
            }

            if (getRaidChunks() != null) {
                xml.append("<value type=\"string\" key=\"raidChunks\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRaidChunks()) + "</value>\n");
            }

            if (getRaidChunkSize() != null) {
                xml.append("<value type=\"string\" key=\"raidChunkSize\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRaidChunkSize()) + "</value>\n");
            }

            if (getRowFormat() != null) {
                xml.append("<value type=\"string\" key=\"rowFormat\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getRowFormat()) + "</value>\n");
            }

            if (getAvgRowLength() != null) {
                xml.append("<value type=\"string\" key=\"avgRowLength\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getAvgRowLength()) + "</value>\n");
            }

            if (getMinRows() != null) {
                xml.append("<value type=\"string\" key=\"minRows\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMinRows()) + "</value>\n");
            }

            if (getMaxRows() != null) {
                xml.append("<value type=\"string\" key=\"maxRows\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getMaxRows()) + "</value>\n");
            }

        return xml;
    }
}
