/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class TableDataGlobal extends com.mysql.grt.db.TableDataGlobal implements TableData {

    public TableDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDelayKeyWrite() {
        return getGrtGlobalAsInt("delayKeyWrite");
    }

    public int setDelayKeyWrite(int delayKeyWrite) {
        setGrtGlobalFromInt("delayKeyWrite", delayKeyWrite);

        return getDelayKeyWrite();
    }

    public int getChecksum() {
        return getGrtGlobalAsInt("checksum");
    }

    public int setChecksum(int checksum) {
        setGrtGlobalFromInt("checksum", checksum);

        return getChecksum();
    }

    public String getTableEngine() {
        return getGrtGlobalAsString("tableEngine");
    }

    public String setTableEngine(String tableEngine) {
        setGrtGlobalFromString("tableEngine", tableEngine);

        return getTableEngine();
    }

    public String getNextAutoInc() {
        return getGrtGlobalAsString("nextAutoInc");
    }

    public String setNextAutoInc(String nextAutoInc) {
        setGrtGlobalFromString("nextAutoInc", nextAutoInc);

        return getNextAutoInc();
    }

    public String getPassword() {
        return getGrtGlobalAsString("password");
    }

    public String setPassword(String password) {
        setGrtGlobalFromString("password", password);

        return getPassword();
    }

    public String getDefaultCharacterSetName() {
        return getGrtGlobalAsString("defaultCharacterSetName");
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        setGrtGlobalFromString("defaultCharacterSetName", defaultCharacterSetName);

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return getGrtGlobalAsString("defaultCollationName");
    }

    public String setDefaultCollationName(String defaultCollationName) {
        setGrtGlobalFromString("defaultCollationName", defaultCollationName);

        return getDefaultCollationName();
    }

    public String getMergeUnion() {
        return getGrtGlobalAsString("mergeUnion");
    }

    public String setMergeUnion(String mergeUnion) {
        setGrtGlobalFromString("mergeUnion", mergeUnion);

        return getMergeUnion();
    }

    public String getMergeInsert() {
        return getGrtGlobalAsString("mergeInsert");
    }

    public String setMergeInsert(String mergeInsert) {
        setGrtGlobalFromString("mergeInsert", mergeInsert);

        return getMergeInsert();
    }

    public String getTableDataDir() {
        return getGrtGlobalAsString("tableDataDir");
    }

    public String setTableDataDir(String tableDataDir) {
        setGrtGlobalFromString("tableDataDir", tableDataDir);

        return getTableDataDir();
    }

    public String getTableIndexDir() {
        return getGrtGlobalAsString("tableIndexDir");
    }

    public String setTableIndexDir(String tableIndexDir) {
        setGrtGlobalFromString("tableIndexDir", tableIndexDir);

        return getTableIndexDir();
    }

    public String getPackKeys() {
        return getGrtGlobalAsString("packKeys");
    }

    public String setPackKeys(String packKeys) {
        setGrtGlobalFromString("packKeys", packKeys);

        return getPackKeys();
    }

    public String getRaidType() {
        return getGrtGlobalAsString("raidType");
    }

    public String setRaidType(String raidType) {
        setGrtGlobalFromString("raidType", raidType);

        return getRaidType();
    }

    public String getRaidChunks() {
        return getGrtGlobalAsString("raidChunks");
    }

    public String setRaidChunks(String raidChunks) {
        setGrtGlobalFromString("raidChunks", raidChunks);

        return getRaidChunks();
    }

    public String getRaidChunkSize() {
        return getGrtGlobalAsString("raidChunkSize");
    }

    public String setRaidChunkSize(String raidChunkSize) {
        setGrtGlobalFromString("raidChunkSize", raidChunkSize);

        return getRaidChunkSize();
    }

    public String getRowFormat() {
        return getGrtGlobalAsString("rowFormat");
    }

    public String setRowFormat(String rowFormat) {
        setGrtGlobalFromString("rowFormat", rowFormat);

        return getRowFormat();
    }

    public String getAvgRowLength() {
        return getGrtGlobalAsString("avgRowLength");
    }

    public String setAvgRowLength(String avgRowLength) {
        setGrtGlobalFromString("avgRowLength", avgRowLength);

        return getAvgRowLength();
    }

    public String getMinRows() {
        return getGrtGlobalAsString("minRows");
    }

    public String setMinRows(String minRows) {
        setGrtGlobalFromString("minRows", minRows);

        return getMinRows();
    }

    public String getMaxRows() {
        return getGrtGlobalAsString("maxRows");
    }

    public String setMaxRows(String maxRows) {
        setGrtGlobalFromString("maxRows", maxRows);

        return getMaxRows();
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        return (com.mysql.grt.db.ColumnList) getGrtGlobalAsObject("columns");
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        setGrtGlobalFromObject("columns", columns);

        return getColumns();
    }

    public com.mysql.grt.db.IndexList getIndices() {
        return (com.mysql.grt.db.IndexList) getGrtGlobalAsObject("indices");
    }

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices) {
        setGrtGlobalFromObject("indices", indices);

        return getIndices();
    }

    public com.mysql.grt.db.TriggerList getTriggers() {
        return (com.mysql.grt.db.TriggerList) getGrtGlobalAsObject("triggers");
    }

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers) {
        setGrtGlobalFromObject("triggers", triggers);

        return getTriggers();
    }

}
