/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class ColumnDataGlobal extends com.mysql.grt.db.ColumnDataGlobal implements ColumnData {

    public ColumnDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDefaultLength() {
        return getGrtGlobalAsInt("defaultLength");
    }

    public int setDefaultLength(int defaultLength) {
        setGrtGlobalFromInt("defaultLength", defaultLength);

        return getDefaultLength();
    }

    public int getNumberOfNulls() {
        return getGrtGlobalAsInt("numberOfNulls");
    }

    public int setNumberOfNulls(int numberOfNulls) {
        setGrtGlobalFromInt("numberOfNulls", numberOfNulls);

        return getNumberOfNulls();
    }

    public int getNumberOfBuckets() {
        return getGrtGlobalAsInt("numberOfBuckets");
    }

    public int setNumberOfBuckets(int numberOfBuckets) {
        setGrtGlobalFromInt("numberOfBuckets", numberOfBuckets);

        return getNumberOfBuckets();
    }

    public double getDensity() {
        return getGrtGlobalAsReal("density");
    }

    public double setDensity(double density) {
        setGrtGlobalFromReal("density", density);

        return getDensity();
    }

    public String getDatatypeModifier() {
        return getGrtGlobalAsString("datatypeModifier");
    }

    public String setDatatypeModifier(String datatypeModifier) {
        setGrtGlobalFromString("datatypeModifier", datatypeModifier);

        return getDatatypeModifier();
    }

}
