/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class QueryDataLocal extends com.mysql.grt.GrtObjectDataLocal implements QueryData {

    private String sql;

    private String moduleName;

    private com.mysql.grt.db.query.QueryParameterList params;

    private String connection;

    public QueryDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getSql() {
        return sql;
    }

    public String setSql(String sql) {
        this.sql = sql;

        return getSql();
    }

    public String getModuleName() {
        return moduleName;
    }

    public String setModuleName(String moduleName) {
        this.moduleName = moduleName;

        return getModuleName();
    }

    public com.mysql.grt.db.query.QueryParameterList getParams() {
        if (params == null)
            params = new com.mysql.grt.db.query.QueryParameterList(this.grtObject);
        return params;
    }

    public com.mysql.grt.db.query.QueryParameterList setParams(com.mysql.grt.db.query.QueryParameterList params) {
        this.params = params;
        return getParams();
    }

    public com.mysql.grt.db.mgmt.Connection getConnection() {
        return (com.mysql.grt.db.mgmt.Connection) com.mysql.grt.Grt.getInstance().getObjectByRefId(connection);
    }

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection) {
        this.connection = connection.get_id();
        return getConnection();
    }

    public String getConnectionById() {
        return connection;
    }

    public void setConnectionById(String connection) {
        this.connection = connection;
    }

}
