/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class QueryParameterDataLocal extends com.mysql.grt.GrtObjectDataLocal implements QueryParameterData {

    private int valueInt;

    private double valueReal;

    private String paramType;

    private String valueStr;

    private String masterColumnName;

    private String masterQuery;

    public QueryParameterDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getValueInt() {
        return valueInt;
    }

    public int setValueInt(int valueInt) {
        this.valueInt = valueInt;

        return getValueInt();
    }

    public double getValueReal() {
        return valueReal;
    }

    public double setValueReal(double valueReal) {
        this.valueReal = valueReal;

        return getValueReal();
    }

    public String getParamType() {
        return paramType;
    }

    public String setParamType(String paramType) {
        this.paramType = paramType;

        return getParamType();
    }

    public String getValueStr() {
        return valueStr;
    }

    public String setValueStr(String valueStr) {
        this.valueStr = valueStr;

        return getValueStr();
    }

    public String getMasterColumnName() {
        return masterColumnName;
    }

    public String setMasterColumnName(String masterColumnName) {
        this.masterColumnName = masterColumnName;

        return getMasterColumnName();
    }

    public com.mysql.grt.db.query.Query getMasterQuery() {
        return (com.mysql.grt.db.query.Query) com.mysql.grt.Grt.getInstance().getObjectByRefId(masterQuery);
    }

    public com.mysql.grt.db.query.Query setMasterQuery(com.mysql.grt.db.query.Query masterQuery) {
        this.masterQuery = masterQuery.get_id();
        return getMasterQuery();
    }

    public String getMasterQueryById() {
        return masterQuery;
    }

    public void setMasterQueryById(String masterQuery) {
        this.masterQuery = masterQuery;
    }

}
