/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class ResultsetColumnDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ResultsetColumnData {

    public ResultsetColumnDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDisplayLength() {
        return getGrtGlobalAsInt("displayLength");
    }

    public int setDisplayLength(int displayLength) {
        setGrtGlobalFromInt("displayLength", displayLength);

        return getDisplayLength();
    }

    public int getDisplayDecimals() {
        return getGrtGlobalAsInt("displayDecimals");
    }

    public int setDisplayDecimals(int displayDecimals) {
        setGrtGlobalFromInt("displayDecimals", displayDecimals);

        return getDisplayDecimals();
    }

    public int getIsPrimaryKey() {
        return getGrtGlobalAsInt("isPrimaryKey");
    }

    public int setIsPrimaryKey(int isPrimaryKey) {
        setGrtGlobalFromInt("isPrimaryKey", isPrimaryKey);

        return getIsPrimaryKey();
    }

    public String getLength() {
        return getGrtGlobalAsString("length");
    }

    public String setLength(String length) {
        setGrtGlobalFromString("length", length);

        return getLength();
    }

    public String getColumnType() {
        return getGrtGlobalAsString("columnType");
    }

    public String setColumnType(String columnType) {
        setGrtGlobalFromString("columnType", columnType);

        return getColumnType();
    }

}
