/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public interface ResultsetData extends com.mysql.grt.GrtObjectData {

    public int getRowBlockSize();

    public int setRowBlockSize(int rowBlockSize);

    public int getNextBlockStartRow();

    public int setNextBlockStartRow(int nextBlockStartRow);

    public String getSql();

    public String setSql(String sql);

    public com.mysql.grt.db.query.ResultsetColumnList getColumns();

    public com.mysql.grt.db.query.ResultsetColumnList setColumns(com.mysql.grt.db.query.ResultsetColumnList columns);

    public com.mysql.grt.db.mgmt.Connection getConnection();

    public com.mysql.grt.db.mgmt.Connection setConnection(com.mysql.grt.db.mgmt.Connection connection);

    public String getConnectionById();

    public void setConnectionById(String connection);

    public com.mysql.grt.db.query.Query getQuery();

    public com.mysql.grt.db.query.Query setQuery(com.mysql.grt.db.query.Query query);

    public String getQueryById();

    public void setQueryById(String query);

}
