/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.sybase;

public class Column extends com.mysql.grt.db.Column {

    protected Column() {
    }

    public Column(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ColumnDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ColumnDataGlobal((String) obj);
        }
    }

    public int getIdentity() {
        return ((ColumnData) data).getIdentity();
    }

    public int setIdentity(int identity) {
        ((ColumnData) data).setIdentity(identity);

        return getIdentity();
    }

    public int getComputed() {
        return ((ColumnData) data).getComputed();
    }

    public int setComputed(int computed) {
        ((ColumnData) data).setComputed(computed);

        return getComputed();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"identity\">"
                    + Integer.toString(getIdentity()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"computed\">"
                    + Integer.toString(getComputed()) + "</value>\n");

        return xml;
    }
}
