/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class TableElementDataGlobal extends com.mysql.grt.model.ElementDataGlobal implements TableElementData {

    public TableElementDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getColumnsExpanded() {
        return getGrtGlobalAsInt("columnsExpanded");
    }

    public int setColumnsExpanded(int columnsExpanded) {
        setGrtGlobalFromInt("columnsExpanded", columnsExpanded);

        return getColumnsExpanded();
    }

    public int getIndicesExpanded() {
        return getGrtGlobalAsInt("indicesExpanded");
    }

    public int setIndicesExpanded(int indicesExpanded) {
        setGrtGlobalFromInt("indicesExpanded", indicesExpanded);

        return getIndicesExpanded();
    }

    public int getForeignKeysExpanded() {
        return getGrtGlobalAsInt("foreignKeysExpanded");
    }

    public int setForeignKeysExpanded(int foreignKeysExpanded) {
        setGrtGlobalFromInt("foreignKeysExpanded", foreignKeysExpanded);

        return getForeignKeysExpanded();
    }

    public int getTriggersExpanded() {
        return getGrtGlobalAsInt("triggersExpanded");
    }

    public int setTriggersExpanded(int triggersExpanded) {
        setGrtGlobalFromInt("triggersExpanded", triggersExpanded);

        return getTriggersExpanded();
    }

    public String getColor() {
        return getGrtGlobalAsString("color");
    }

    public String setColor(String color) {
        setGrtGlobalFromString("color", color);

        return getColor();
    }

    public com.mysql.grt.db.Table getTable() {
        return (com.mysql.grt.db.Table) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("table"));
    }

    public com.mysql.grt.db.Table setTable(com.mysql.grt.db.Table table) {
        setGrtGlobalFromString("table", table.get_id());

        return getTable();
    }

    public String getTableById() {
        return getGrtGlobalAsString("table");
    }

    public void setTableById(String table) {
        setGrtGlobalFromString("table", table);
    }

}
