/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class TableElementDataLocal extends com.mysql.grt.model.ElementDataLocal implements TableElementData {

    private int columnsExpanded;

    private int indicesExpanded;

    private int foreignKeysExpanded;

    private int triggersExpanded;

    private String color;

    private String table;

    public TableElementDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getColumnsExpanded() {
        return columnsExpanded;
    }

    public int setColumnsExpanded(int columnsExpanded) {
        this.columnsExpanded = columnsExpanded;

        return getColumnsExpanded();
    }

    public int getIndicesExpanded() {
        return indicesExpanded;
    }

    public int setIndicesExpanded(int indicesExpanded) {
        this.indicesExpanded = indicesExpanded;

        return getIndicesExpanded();
    }

    public int getForeignKeysExpanded() {
        return foreignKeysExpanded;
    }

    public int setForeignKeysExpanded(int foreignKeysExpanded) {
        this.foreignKeysExpanded = foreignKeysExpanded;

        return getForeignKeysExpanded();
    }

    public int getTriggersExpanded() {
        return triggersExpanded;
    }

    public int setTriggersExpanded(int triggersExpanded) {
        this.triggersExpanded = triggersExpanded;

        return getTriggersExpanded();
    }

    public String getColor() {
        return color;
    }

    public String setColor(String color) {
        this.color = color;

        return getColor();
    }

    public com.mysql.grt.db.Table getTable() {
        return (com.mysql.grt.db.Table) com.mysql.grt.Grt.getInstance().getObjectByRefId(table);
    }

    public com.mysql.grt.db.Table setTable(com.mysql.grt.db.Table table) {
        this.table = table.get_id();
        return getTable();
    }

    public String getTableById() {
        return table;
    }

    public void setTableById(String table) {
        this.table = table;
    }

}
