/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ActionDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ActionData {

    public ActionDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getAutoCheck() {
        return getGrtGlobalAsInt("autoCheck");
    }

    public int setAutoCheck(int autoCheck) {
        setGrtGlobalFromInt("autoCheck", autoCheck);

        return getAutoCheck();
    }

    public int getChecked() {
        return getGrtGlobalAsInt("checked");
    }

    public int setChecked(int checked) {
        setGrtGlobalFromInt("checked", checked);

        return getChecked();
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public int getGroupIndex() {
        return getGrtGlobalAsInt("groupIndex");
    }

    public int setGroupIndex(int groupIndex) {
        setGrtGlobalFromInt("groupIndex", groupIndex);

        return getGroupIndex();
    }

    public int getImageIndex() {
        return getGrtGlobalAsInt("imageIndex");
    }

    public int setImageIndex(int imageIndex) {
        setGrtGlobalFromInt("imageIndex", imageIndex);

        return getImageIndex();
    }

    public int getVisible() {
        return getGrtGlobalAsInt("visible");
    }

    public int setVisible(int visible) {
        setGrtGlobalFromInt("visible", visible);

        return getVisible();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getShortcut() {
        return getGrtGlobalAsString("shortcut");
    }

    public String setShortcut(String shortcut) {
        setGrtGlobalFromString("shortcut", shortcut);

        return getShortcut();
    }

    public String getEventOnExecute() {
        return getGrtGlobalAsString("eventOnExecute");
    }

    public String setEventOnExecute(String eventOnExecute) {
        setGrtGlobalFromString("eventOnExecute", eventOnExecute);

        return getEventOnExecute();
    }

    public String getEventOnUpdate() {
        return getGrtGlobalAsString("eventOnUpdate");
    }

    public String setEventOnUpdate(String eventOnUpdate) {
        setGrtGlobalFromString("eventOnUpdate", eventOnUpdate);

        return getEventOnUpdate();
    }

}
