/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Constraints extends com.mysql.grt.GrtObject {

    protected Constraints() {
    }

    public Constraints(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ConstraintsDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ConstraintsDataGlobal((String) obj);
        }
    }

    public int getMinWidth() {
        return ((ConstraintsData) data).getMinWidth();
    }

    public int setMinWidth(int minWidth) {
        ((ConstraintsData) data).setMinWidth(minWidth);

        return getMinWidth();
    }

    public int getMaxWidth() {
        return ((ConstraintsData) data).getMaxWidth();
    }

    public int setMaxWidth(int maxWidth) {
        ((ConstraintsData) data).setMaxWidth(maxWidth);

        return getMaxWidth();
    }

    public int getMinHeight() {
        return ((ConstraintsData) data).getMinHeight();
    }

    public int setMinHeight(int minHeight) {
        ((ConstraintsData) data).setMinHeight(minHeight);

        return getMinHeight();
    }

    public int getMaxHeight() {
        return ((ConstraintsData) data).getMaxHeight();
    }

    public int setMaxHeight(int maxHeight) {
        ((ConstraintsData) data).setMaxHeight(maxHeight);

        return getMaxHeight();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"minWidth\">"
                    + Integer.toString(getMinWidth()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxWidth\">"
                    + Integer.toString(getMaxWidth()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"minHeight\">"
                    + Integer.toString(getMinHeight()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"maxHeight\">"
                    + Integer.toString(getMaxHeight()) + "</value>\n");

        return xml;
    }
}
