/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class FormDataLocal extends com.mysql.grt.forms.WidgetDataLocal implements FormData {

    private int active;

    private int alphaBlend;

    private int alphaBlendValue;

    private String windowState;

    private String eventOnCreate;

    private String eventOnDestroy;

    private String eventOnActivate;

    private String eventOnDeactivate;

    private String eventOnClose;

    private com.mysql.grt.forms.MenuitemList mainMenu;

    private com.mysql.grt.forms.Action actions;

    private com.mysql.grt.forms.Menuitem menuitems;

    private com.mysql.grt.forms.Panel panels;

    private com.mysql.grt.forms.Button buttons;

    private com.mysql.grt.forms.Edit edits;

    private com.mysql.grt.forms.Checkbox checkboxes;

    private com.mysql.grt.forms.Radiobutton radiobuttons;

    private com.mysql.grt.forms.Listbox listboxes;

    private com.mysql.grt.forms.Dropdown dropdowns;

    private com.mysql.grt.forms.Pagecontrol pagecontrols;

    private String activeControl;

    public FormDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getActive() {
        return active;
    }

    public int setActive(int active) {
        this.active = active;

        return getActive();
    }

    public int getAlphaBlend() {
        return alphaBlend;
    }

    public int setAlphaBlend(int alphaBlend) {
        this.alphaBlend = alphaBlend;

        return getAlphaBlend();
    }

    public int getAlphaBlendValue() {
        return alphaBlendValue;
    }

    public int setAlphaBlendValue(int alphaBlendValue) {
        this.alphaBlendValue = alphaBlendValue;

        return getAlphaBlendValue();
    }

    public String getWindowState() {
        return windowState;
    }

    public String setWindowState(String windowState) {
        this.windowState = windowState;

        return getWindowState();
    }

    public String getEventOnCreate() {
        return eventOnCreate;
    }

    public String setEventOnCreate(String eventOnCreate) {
        this.eventOnCreate = eventOnCreate;

        return getEventOnCreate();
    }

    public String getEventOnDestroy() {
        return eventOnDestroy;
    }

    public String setEventOnDestroy(String eventOnDestroy) {
        this.eventOnDestroy = eventOnDestroy;

        return getEventOnDestroy();
    }

    public String getEventOnActivate() {
        return eventOnActivate;
    }

    public String setEventOnActivate(String eventOnActivate) {
        this.eventOnActivate = eventOnActivate;

        return getEventOnActivate();
    }

    public String getEventOnDeactivate() {
        return eventOnDeactivate;
    }

    public String setEventOnDeactivate(String eventOnDeactivate) {
        this.eventOnDeactivate = eventOnDeactivate;

        return getEventOnDeactivate();
    }

    public String getEventOnClose() {
        return eventOnClose;
    }

    public String setEventOnClose(String eventOnClose) {
        this.eventOnClose = eventOnClose;

        return getEventOnClose();
    }

    public com.mysql.grt.forms.Action getActions() {
        if (actions == null)
            actions = new com.mysql.grt.forms.Action(this.grtObject);
        return actions;
    }

    public com.mysql.grt.forms.Action setActions(com.mysql.grt.forms.Action actions) {
        this.actions = actions;

        return getActions();
    }

    public com.mysql.grt.forms.Menuitem getMenuitems() {
        if (menuitems == null)
            menuitems = new com.mysql.grt.forms.Menuitem(this.grtObject);
        return menuitems;
    }

    public com.mysql.grt.forms.Menuitem setMenuitems(com.mysql.grt.forms.Menuitem menuitems) {
        this.menuitems = menuitems;

        return getMenuitems();
    }

    public com.mysql.grt.forms.Panel getPanels() {
        if (panels == null)
            panels = new com.mysql.grt.forms.Panel(this.grtObject);
        return panels;
    }

    public com.mysql.grt.forms.Panel setPanels(com.mysql.grt.forms.Panel panels) {
        this.panels = panels;

        return getPanels();
    }

    public com.mysql.grt.forms.Button getButtons() {
        if (buttons == null)
            buttons = new com.mysql.grt.forms.Button(this.grtObject);
        return buttons;
    }

    public com.mysql.grt.forms.Button setButtons(com.mysql.grt.forms.Button buttons) {
        this.buttons = buttons;

        return getButtons();
    }

    public com.mysql.grt.forms.Edit getEdits() {
        if (edits == null)
            edits = new com.mysql.grt.forms.Edit(this.grtObject);
        return edits;
    }

    public com.mysql.grt.forms.Edit setEdits(com.mysql.grt.forms.Edit edits) {
        this.edits = edits;

        return getEdits();
    }

    public com.mysql.grt.forms.Checkbox getCheckboxes() {
        if (checkboxes == null)
            checkboxes = new com.mysql.grt.forms.Checkbox(this.grtObject);
        return checkboxes;
    }

    public com.mysql.grt.forms.Checkbox setCheckboxes(com.mysql.grt.forms.Checkbox checkboxes) {
        this.checkboxes = checkboxes;

        return getCheckboxes();
    }

    public com.mysql.grt.forms.Radiobutton getRadiobuttons() {
        if (radiobuttons == null)
            radiobuttons = new com.mysql.grt.forms.Radiobutton(this.grtObject);
        return radiobuttons;
    }

    public com.mysql.grt.forms.Radiobutton setRadiobuttons(com.mysql.grt.forms.Radiobutton radiobuttons) {
        this.radiobuttons = radiobuttons;

        return getRadiobuttons();
    }

    public com.mysql.grt.forms.Listbox getListboxes() {
        if (listboxes == null)
            listboxes = new com.mysql.grt.forms.Listbox(this.grtObject);
        return listboxes;
    }

    public com.mysql.grt.forms.Listbox setListboxes(com.mysql.grt.forms.Listbox listboxes) {
        this.listboxes = listboxes;

        return getListboxes();
    }

    public com.mysql.grt.forms.Dropdown getDropdowns() {
        if (dropdowns == null)
            dropdowns = new com.mysql.grt.forms.Dropdown(this.grtObject);
        return dropdowns;
    }

    public com.mysql.grt.forms.Dropdown setDropdowns(com.mysql.grt.forms.Dropdown dropdowns) {
        this.dropdowns = dropdowns;

        return getDropdowns();
    }

    public com.mysql.grt.forms.Pagecontrol getPagecontrols() {
        if (pagecontrols == null)
            pagecontrols = new com.mysql.grt.forms.Pagecontrol(this.grtObject);
        return pagecontrols;
    }

    public com.mysql.grt.forms.Pagecontrol setPagecontrols(com.mysql.grt.forms.Pagecontrol pagecontrols) {
        this.pagecontrols = pagecontrols;

        return getPagecontrols();
    }

    public com.mysql.grt.forms.MenuitemList getMainMenu() {
        if (mainMenu == null)
            mainMenu = new com.mysql.grt.forms.MenuitemList(this.grtObject);
        return mainMenu;
    }

    public com.mysql.grt.forms.MenuitemList setMainMenu(com.mysql.grt.forms.MenuitemList mainMenu) {
        this.mainMenu = mainMenu;
        return getMainMenu();
    }

    public com.mysql.grt.forms.Widget getActiveControl() {
        return (com.mysql.grt.forms.Widget) com.mysql.grt.Grt.getInstance().getObjectByRefId(activeControl);
    }

    public com.mysql.grt.forms.Widget setActiveControl(com.mysql.grt.forms.Widget activeControl) {
        this.activeControl = activeControl.get_id();
        return getActiveControl();
    }

    public String getActiveControlById() {
        return activeControl;
    }

    public void setActiveControlById(String activeControl) {
        this.activeControl = activeControl;
    }

}
