/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Listbox extends com.mysql.grt.forms.Widget {

    protected Listbox() {
    }

    public Listbox(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new ListboxDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new ListboxDataGlobal((String) obj);
        }
    }

    public int getMultiselect() {
        return ((ListboxData) data).getMultiselect();
    }

    public int setMultiselect(int multiselect) {
        ((ListboxData) data).setMultiselect(multiselect);

        return getMultiselect();
    }

    public String getLastSelectedItem() {
        return ((ListboxData) data).getLastSelectedItem();
    }

    public String setLastSelectedItem(String lastSelectedItem) {
        ((ListboxData) data).setLastSelectedItem(lastSelectedItem);

        return getLastSelectedItem();
    }

    public com.mysql.grt.GrtStringList getItems() {
        return ((ListboxData) data).getItems();
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        ((ListboxData) data).setItems(items);

        return getItems();
    }

    public com.mysql.grt.GrtStringList getSelectedItems() {
        return ((ListboxData) data).getSelectedItems();
    }

    public com.mysql.grt.GrtStringList setSelectedItems(com.mysql.grt.GrtStringList selectedItems) {
        ((ListboxData) data).setSelectedItems(selectedItems);

        return getSelectedItems();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"multiselect\">"
                    + Integer.toString(getMultiselect()) + "</value>\n");

            if (getLastSelectedItem() != null) {
                xml.append("<value type=\"string\" key=\"lastSelectedItem\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getLastSelectedItem()) + "</value>\n");
            }

            if (getItems() != null) {
                getItems().getGrtXml(xml, " key=\"items\"");
            }

            if (getSelectedItems() != null) {
                getSelectedItems().getGrtXml(xml, " key=\"selectedItems\"");
            }

        return xml;
    }
}
