/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

import com.mysql.grt.*;

public class ListboxHashMap extends GrtHashMap {

    public ListboxHashMap() {
        super();
    }

    public ListboxHashMap(com.mysql.grt.GrtObject owner) {
        super(owner);
    }

    public ListboxHashMap(String contentStructName) {
        super(contentStructName);
    }

    public ListboxHashMap(String contentStructName, String globalObjectPath) {
        super(contentStructName, globalObjectPath);
    }

    public Listbox add(String key, Listbox item) {
        return (Listbox) super.addObject(key, item);
    }

    public Listbox get(String key) {
        return (Listbox) super.getObject(key);
    }

    public String getContentType() {
        return "dict";
    }

    public String getContentStructName() {
        return "forms.Listbox";
    }

}
