/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class MenuitemDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements MenuitemData {

    public MenuitemDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getChecked() {
        return getGrtGlobalAsInt("checked");
    }

    public int setChecked(int checked) {
        setGrtGlobalFromInt("checked", checked);

        return getChecked();
    }

    public int getEnabled() {
        return getGrtGlobalAsInt("enabled");
    }

    public int setEnabled(int enabled) {
        setGrtGlobalFromInt("enabled", enabled);

        return getEnabled();
    }

    public int getImageIndex() {
        return getGrtGlobalAsInt("imageIndex");
    }

    public int setImageIndex(int imageIndex) {
        setGrtGlobalFromInt("imageIndex", imageIndex);

        return getImageIndex();
    }

    public String getAction() {
        return getGrtGlobalAsString("action");
    }

    public String setAction(String action) {
        setGrtGlobalFromString("action", action);

        return getAction();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getEventOnClick() {
        return getGrtGlobalAsString("eventOnClick");
    }

    public String setEventOnClick(String eventOnClick) {
        setGrtGlobalFromString("eventOnClick", eventOnClick);

        return getEventOnClick();
    }

    public com.mysql.grt.forms.MenuitemList getItems() {
        return (com.mysql.grt.forms.MenuitemList) getGrtGlobalAsObject("items");
    }

    public com.mysql.grt.forms.MenuitemList setItems(com.mysql.grt.forms.MenuitemList items) {
        setGrtGlobalFromObject("items", items);

        return getItems();
    }

}
