/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Position extends com.mysql.grt.GrtObject {

    protected Position() {
    }

    public Position(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new PositionDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new PositionDataGlobal((String) obj);
        }
    }

    public int getLeft() {
        return ((PositionData) data).getLeft();
    }

    public int setLeft(int left) {
        ((PositionData) data).setLeft(left);

        return getLeft();
    }

    public int getTop() {
        return ((PositionData) data).getTop();
    }

    public int setTop(int top) {
        ((PositionData) data).setTop(top);

        return getTop();
    }

    public int getWidth() {
        return ((PositionData) data).getWidth();
    }

    public int setWidth(int width) {
        ((PositionData) data).setWidth(width);

        return getWidth();
    }

    public int getHeight() {
        return ((PositionData) data).getHeight();
    }

    public int setHeight(int height) {
        ((PositionData) data).setHeight(height);

        return getHeight();
    }

    public int getState() {
        return ((PositionData) data).getState();
    }

    public int setState(int state) {
        ((PositionData) data).setState(state);

        return getState();
    }

    public int getMonitor() {
        return ((PositionData) data).getMonitor();
    }

    public int setMonitor(int monitor) {
        ((PositionData) data).setMonitor(monitor);

        return getMonitor();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"left\">"
                    + Integer.toString(getLeft()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"top\">"
                    + Integer.toString(getTop()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"width\">"
                    + Integer.toString(getWidth()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"height\">"
                    + Integer.toString(getHeight()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"state\">"
                    + Integer.toString(getState()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"monitor\">"
                    + Integer.toString(getMonitor()) + "</value>\n");

        return xml;
    }
}
