/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public interface ElementData extends com.mysql.grt.GrtObjectData {

    public int getVisible();

    public int setVisible(int visible);

    public int getEnabled();

    public int setEnabled(int enabled);

    public int getLocked();

    public int setLocked(int locked);

    public int getExpanded();

    public int setExpanded(int expanded);

    public double getLeft();

    public double setLeft(double left);

    public double getTop();

    public double setTop(double top);

    public double getWidth();

    public double setWidth(double width);

    public double getHeight();

    public double setHeight(double height);

    public String getLayoutClass();

    public String setLayoutClass(String layoutClass);

    public com.mysql.grt.model.Layer getLayer();

    public com.mysql.grt.model.Layer setLayer(com.mysql.grt.model.Layer layer);

    public String getLayerById();

    public void setLayerById(String layer);

    public com.mysql.grt.model.Group getGroup();

    public com.mysql.grt.model.Group setGroup(com.mysql.grt.model.Group group);

    public String getGroupById();

    public void setGroupById(String group);

}
