/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class GroupDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements GroupData {

    public GroupDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public com.mysql.grt.model.GroupList getSubGroups() {
        return (com.mysql.grt.model.GroupList) getGrtGlobalAsObject("subGroups");
    }

    public com.mysql.grt.model.GroupList setSubGroups(com.mysql.grt.model.GroupList subGroups) {
        setGrtGlobalFromObject("subGroups", subGroups);

        return getSubGroups();
    }

    public com.mysql.grt.model.ElementList getElements() {
        return (com.mysql.grt.model.ElementList) getGrtGlobalAsObject("elements");
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        setGrtGlobalFromObject("elements", elements);

        return getElements();
    }

}
