/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class GroupDataLocal extends com.mysql.grt.GrtObjectDataLocal implements GroupData {

    private String description;

    private com.mysql.grt.model.GroupList subGroups;

    private com.mysql.grt.model.ElementList elements;

    public GroupDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getDescription() {
        return description;
    }

    public String setDescription(String description) {
        this.description = description;

        return getDescription();
    }

    public com.mysql.grt.model.GroupList getSubGroups() {
        if (subGroups == null)
            subGroups = new com.mysql.grt.model.GroupList(this.grtObject);
        return subGroups;
    }

    public com.mysql.grt.model.GroupList setSubGroups(com.mysql.grt.model.GroupList subGroups) {
        this.subGroups = subGroups;
        return getSubGroups();
    }

    public com.mysql.grt.model.ElementList getElements() {
        if (elements == null)
            elements = new com.mysql.grt.model.ElementList(this.grtObject);
        return elements;
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        this.elements = elements;
        return getElements();
    }

}
