/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class ViewDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ViewData {

    public ViewDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public double getZoom() {
        return getGrtGlobalAsReal("zoom");
    }

    public double setZoom(double zoom) {
        setGrtGlobalFromReal("zoom", zoom);

        return getZoom();
    }

    public double getX() {
        return getGrtGlobalAsReal("x");
    }

    public double setX(double x) {
        setGrtGlobalFromReal("x", x);

        return getX();
    }

    public double getY() {
        return getGrtGlobalAsReal("y");
    }

    public double setY(double y) {
        setGrtGlobalFromReal("y", y);

        return getY();
    }

    public double getWidth() {
        return getGrtGlobalAsReal("width");
    }

    public double setWidth(double width) {
        setGrtGlobalFromReal("width", width);

        return getWidth();
    }

    public double getHeight() {
        return getGrtGlobalAsReal("height");
    }

    public double setHeight(double height) {
        setGrtGlobalFromReal("height", height);

        return getHeight();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public String getElementLayoutClass() {
        return getGrtGlobalAsString("elementLayoutClass");
    }

    public String setElementLayoutClass(String elementLayoutClass) {
        setGrtGlobalFromString("elementLayoutClass", elementLayoutClass);

        return getElementLayoutClass();
    }

    public String getConnectionLayoutClass() {
        return getGrtGlobalAsString("connectionLayoutClass");
    }

    public String setConnectionLayoutClass(String connectionLayoutClass) {
        setGrtGlobalFromString("connectionLayoutClass", connectionLayoutClass);

        return getConnectionLayoutClass();
    }

    public com.mysql.grt.model.ElementList getElements() {
        return (com.mysql.grt.model.ElementList) getGrtGlobalAsObject("elements");
    }

    public com.mysql.grt.model.ElementList setElements(com.mysql.grt.model.ElementList elements) {
        setGrtGlobalFromObject("elements", elements);

        return getElements();
    }

    public com.mysql.grt.model.LayerList getLayers() {
        return (com.mysql.grt.model.LayerList) getGrtGlobalAsObject("layers");
    }

    public com.mysql.grt.model.LayerList setLayers(com.mysql.grt.model.LayerList layers) {
        setGrtGlobalFromObject("layers", layers);

        return getLayers();
    }

    public com.mysql.grt.model.ElementList getSelection() {
        return (com.mysql.grt.model.ElementList) getGrtGlobalAsObject("selection");
    }

    public com.mysql.grt.model.ElementList setSelection(com.mysql.grt.model.ElementList selection) {
        setGrtGlobalFromObject("selection", selection);

        return getSelection();
    }

    public com.mysql.grt.model.Layer getRootLayer() {
        return (com.mysql.grt.model.Layer) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("rootLayer"));
    }

    public com.mysql.grt.model.Layer setRootLayer(com.mysql.grt.model.Layer rootLayer) {
        setGrtGlobalFromString("rootLayer", rootLayer.get_id());

        return getRootLayer();
    }

    public String getRootLayerById() {
        return getGrtGlobalAsString("rootLayer");
    }

    public void setRootLayerById(String rootLayer) {
        setGrtGlobalFromString("rootLayer", rootLayer);
    }

}
